import request from '@/utils/request'

// 查询报警联锁值确认列表
export function listAlarm(query) {
  return request({
    url: '/pssr/alarm/list',
    method: 'get',
    params: query
  })
}

// 查询报警联锁值确认详细
export function getAlarm(id) {
  return request({
    url: '/pssr/alarm/' + id,
    method: 'get'
  })
}

// 新增报警联锁值确认
export function addAlarm(data) {
  return request({
    url: '/pssr/alarm',
    method: 'post',
    data: data
  })
}

// 修改报警联锁值确认
export function delAlarm(id) {
  return request({
    url: '/pssr/alarm/' + id,
    method: 'delete'
  })
}

// 导出报警联锁值确认
export function exportAlarm(query) {
  return request({
    url: '/pssr/alarm/export',
    method: 'get',
    params: query
  })
}
